Library Version 11.2.5.3

Chapter 28. ReadModifyWriteOption
Prev |  | Next

## Chapter 28. ReadModifyWriteOption

Read-modify-write cursor configuration helper class.

Used by each begin() function of all containers.

#### Public Members

Member | Description
--- | ---
operator= | Assignment operator.
operator== | Equality comparison.
read_modify_write | Call this function to tell the container's begin() function that you need a read-modify-write iterator.
no_read_modify_write | Call this function to tell the container's begin() function that you do not need a read-modify-write iterator.

#### Group

Dbstl Helper Classes

## operator=

### Function Details

    void operator=(ReadModifyWriteOption::Option rmw1)

Assignment operator.

### Class

ReadModifyWriteOption

Prev |  | Next
no_bulk_retrieval | Home | operator==